org.wildfly.swarm.config.elytron

## Class TrustManager<T extends TrustManager<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.TrustManager<T>

-     public class TrustManager<T extends TrustManager<T>>
      extends Object

  A trust manager definition for creating the TrustManager[] as used to create an SSLContext.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustManager(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `algorithm()` The name of the algorithm to use to create the underlying TrustManagerFactory.
    `T` | `algorithm(String value)` The name of the algorithm to use to create the underlying TrustManagerFactory.
    `String` | `aliasFilter()` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `T` | `aliasFilter(String value)` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `Map` | `certificateRevocationList()` Enables certificate revocation list checks to a trust manager.
    `T` | `certificateRevocationList(Map value)` Enables certificate revocation list checks to a trust manager.
    `T` | `certificateRevocationList(String key, Object value)` Enables certificate revocation list checks to a trust manager.
    `String` | `getKey()`
    `String` | `keyStore()` Reference to the KeyStore to use to initialise the underlying TrustManagerFactory.
    `T` | `keyStore(String value)` Reference to the KeyStore to use to initialise the underlying TrustManagerFactory.
    `String` | `providerName()` The name of the provider to use to create the underlying TrustManagerFactory.
    `T` | `providerName(String value)` The name of the provider to use to create the underlying TrustManagerFactory.
    `String` | `providers()` Reference to obtain the Provider[] to use when creating the underlying TrustManagerFactory.
    `T` | `providers(String value)` Reference to obtain the Provider[] to use when creating the underlying TrustManagerFactory.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustManager

          public TrustManager(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### algorithm

          public String algorithm()

      The name of the algorithm to use to create the underlying TrustManagerFactory.

    - #### algorithm

          public T algorithm(String value)

      The name of the algorithm to use to create the underlying TrustManagerFactory.

    - #### aliasFilter

          public String aliasFilter()

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### aliasFilter

          public T aliasFilter(String value)

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### certificateRevocationList

          public Map certificateRevocationList()

      Enables certificate revocation list checks to a trust manager.

    - #### certificateRevocationList

          public T certificateRevocationList(Map value)

      Enables certificate revocation list checks to a trust manager.

    - #### certificateRevocationList

          public T certificateRevocationList(String key,
                                             Object value)

      Enables certificate revocation list checks to a trust manager.

    - #### keyStore

          public String keyStore()

      Reference to the KeyStore to use to initialise the underlying TrustManagerFactory.

    - #### keyStore

          public T keyStore(String value)

      Reference to the KeyStore to use to initialise the underlying TrustManagerFactory.

    - #### providerName

          public String providerName()

      The name of the provider to use to create the underlying TrustManagerFactory.

    - #### providerName

          public T providerName(String value)

      The name of the provider to use to create the underlying TrustManagerFactory.

    - #### providers

          public String providers()

      Reference to obtain the Provider[] to use when creating the underlying TrustManagerFactory.

    - #### providers

          public T providers(String value)

      Reference to obtain the Provider[] to use when creating the underlying TrustManagerFactory.

Copyright © 2017 JBoss by Red Hat. All rights reserved.